.TH CHGRP GNU \" -*- nroff -*-
.SH NAME
chgrp \- change the group ownership of files
.SH SYNOPSIS
.B chgrp
[\-Rcfv] [\-\-recursive] [\-\-changes]
[\-\-silent] [\-\-quiet] [\-\-verbose] group file...
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR chgrp .
.B chgrp
changes the group ownership of each given file to the named group,
which can be either a group name or a numeric group ID.
.SS OPTIONS
.TP
.I "\-c, \-\-changes"
Verbosely describe only files whose ownership actually changes.
.TP
.I "\-f, \-\-silent, \-\-quiet"
Do not print error messages about files whose ownership cannot be
changed.
.TP
.I "\-v, \-\-verbose"
Verbosely describe ownership changes.
.TP
.I "\-R, \-\-recursive"
Recursively change ownership of directories and their contents.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
