.TH GCHGRP GNU \" -*- nroff -*-
.ad 70
.hy 14
.SH NAME
chgrp \- change the group ownership of files
.SH SYNOPSIS
.B chgrp
[\-LRcfv] [+recursive] [+show-changes] [+dereference]
[+silent] [+quiet] [+verbose] group file...
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR chgrp .
.B chgrp
changes the group ownership of each given file to the named group,
which can be either a group name or a numeric group ID.
.SS OPTIONS
.TP
.I \-c, +show-changes
Verbosely describe only files whose ownership actually changes.
.TP
.I \-f, +silent, +quiet
Do not print error messages about files whose ownership cannot be
changed.
.TP
.I \-v, +verbose
Verbosely describe ownership changes.
.TP
.I \-L, +dereference
Dereference symbolic links (recursively change the ownership of
directories pointed to by symbolic links).
.TP
.I \-R, +recursive
Recursively change ownership of directories.
