.TH GHEAD GNU \" -*- nroff -*-
.ad 70
.hy 14
.SH NAME
head \- output the first part of files
.SH SYNOPSIS
.B head
[\-b #] [\-c #] [\-n #] [\-qv] [+blocks=#] [+bytes=#] [+lines=#]
[+quiet] [+silent] [+verbose] [file...]

.B head
[\-#bclqv] [file...]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR head .
.B head
prints the first part (10 lines by default) of each given file; it
reads from standard input if no files are given or when a filename of
`-' is encountered.  If more than one file is given, it prints a
header consisting of the file's name enclosed in `==>' and `<=='
before the output for each file.  It accepts two option syntaxes: one
in which numbers are arguments to the option letters, and one in which
the number precedes any option letters.
.SS OPTIONS
.TP
.I \-b, +blocks #
Print first # 512-byte blocks.
.TP
.I \-c, +bytes #
Print first # bytes.
.TP
.I \-l, \-n, +lines #
Print first # lines.
.TP
.I \-q, +quiet, +silent
Never print filename headers.
.TP
.I \-v, +verbose
Always print filename headers.
