.de Id
.ds Rv \\$3
.ds Dt \\$4
.ds iD \\$3 \\$4 \\$5 \\$6 \\$7
..
.Id $Id: ident.1,v 5.0 1990/08/22 09:09:36 eggert Exp $
.ds r \s-1RCS\s0
.if n .ds - \%--
.if t .ds - \(em
.TH IDENT GNU \*(Dt GNU
.SH NAME
ident \- identify files
.SH SYNOPSIS
.B ident
[
.B \-q
] [
.I file
\&.\|.\|. ]
.SH DESCRIPTION
.B ident
searches for all occurrences of the pattern
.BI $ keyword : .\|.\|. $
in the named files or, if no file name appears, the standard input.
.PP
These patterns are normally inserted automatically by the \*r command
.BR co (GNU),
but can also be inserted manually.
The option
.B \-q
suppresses
the warning given if there are no patterns in a file.
.PP
.B ident
works on text files as well as object files and dumps.
For example, if the C program in
.B f.c
contains
.IP
\f3char rcsid[] = \&"$\&Id: f.c,v \*(iD $\&";\fP
.LP
and
.B f.c
is compiled into
.BR f.o ,
then the command
.IP
.B "ident  f.c  f.o"
.LP
will output
.nf
.IP
.ft 3
f.c:
    $\&Id: f.c,v \*(iD $
f.o:
    $\&Id: f.c,v \*(iD $
.ft
.fi
.SH IDENTIFICATION
Author: Walter F. Tichy.
.br
Revision Number: \*(Rv; Release Date: \*(Dt.
.br
.if n Copyright (C) 1982, 1988, 1989 by Walter F. Tichy.
.if t Copyright \(co 1982, 1988, 1989 by Walter F. Tichy.
.br
.if n Copyright (C) 1990 by Paul Eggert.
.if t Copyright \(co 1990 by Paul Eggert.
.SH "SEE ALSO"
ci(GNU), co(GNU), rcs(GNU), rcsdiff(GNU), rcsintro(GNU), rcsmerge(GNU), rlog(GNU),
rcsfile(FP)
.br
Walter F. Tichy,
\*r\*-A System for Version Control,
.I "Software\*-Practice & Experience"
.BR 15 ,
7 (July 1985), 637-654.
