.TH SUM GNU \" -*- nroff -*-
.SH NAME
sum \- checksum and count the blocks in a file
.SH SYNOPSIS
.B sum
[\-rs] [\-\-sysv] [file...]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR sum .
.B sum
computes a 16-bit checksum for each named file, or the standard input
if none are given or when a file named `\-' is given.  It prints the
checksum for each file along with the number of blocks in the file
(rounded up), and the file name unless no arguments were given.  By
default, the GNU
.B sum
computes checksums using an algorithm that is compatible with the BSD
.B sum
and prints file sizes in units of 1K blocks.
.SS OPTIONS
.TP
.I \-r
Use the default (BSD compatible) algorithm.  This option is included
for compatibility with the System V
.BR sum .
Unless the
.I \-s
option was also given, it has no effect.
.TP
.I "\-s, \-\-sysv"
Compute checksums using an algorithm that is compatible with the one
the System V
.B sum
uses by default
and print file sizes in units of 512-byte blocks instead of 1K.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
