.TH ZFORCE GNU
.SH NAME
zforce \- force a 'z' extension on all gzip files
.SH SYNOPSIS
.B zforce
[ name ...  ]
.SH DESCRIPTION
.I  zforce
forces a z extension on all
.I gzip
files so that
.I gzip
will not compress them twice.
This can be useful for files with names truncated after a file transfer.
On systems with a 14 char limitation on file names, the original name
is truncated to make room for the .z suffix. For example,
12345678901234 is renamed to 123456789012.z. A file name such as foo.tgz
is left intact.
.SH "SEE ALSO"
gzip(GNU), znew(GNU), zmore(GNU), zcmp(GNU), gzexe(GNU)
.SH BUGS
File names of exactly 13 characters are first truncated to 12 characters
even on file systems not limited to 14 characters.
