.TH GSPLIT GNU \" -*- nroff -*-
.ad 70
.hy 14
.SH NAME
split \- split a file into pieces
.SH SYNOPSIS
.B split
[\-lines] [\-l lines] [\-c bytes] [\-C bytes] [+lines=lines]
[+bytes=bytes] [+line-bytes=bytes] [infile [outfile-prefix]]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR split .
.B split
reads the given
.IR infile ,
or the standard input if none is given or the name `\-' is given.  It
creates one or more output files (as many as necessary) containing
consecutive sections of the input file.  By default,
.B split
puts 1000 lines of the input file, or whatever is left if it is less
than that, into each output file.
.PP
The output file names consist of a prefix followed by a group of
letters, chosen so that concatenating the output files in sorted order
by file name produces the original input file, in order.  The default
output file name prefix is `x'.  If the
.I outfile-prefix
argument is given, it is used as the output file name prefix instead.
.SS OPTIONS
.TP
.I \-lines, \-l lines, +lines=lines
Put
.I lines
lines of the input file into each output file.
.TP
.I \-c bytes, +bytes=bytes
Put
.I bytes
bytes of the input file into each output file.
.TP
.I \-C bytes, +line-bytes=bytes
Put into each output file as many complete lines of the input file as
is possible without exceeding
.I bytes
bytes.  If a line that is longer than
.I bytes
bytes occurs, put
.I bytes
bytes of it into each output file until less than
.I bytes
bytes of the line are left, then continue normally.
