.TH GUNEXPAND GNU \" -*- nroff -*-
.ad 70
.hy 14
.SH NAME
unexpand \- convert spaces to tabs
.SH SYNOPSIS
.B unexpand
[\-tab1[,tab2[,...]]] [\-t tab1[,tab2[,...]]] [\-a]
[+tabs=tab1[,tab2[,...]]] [+all] [file...]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR unexpand .
.B unexpand
writes the contents of each given file, or the standard input if
none are given or when a file called `\-' is given, to the standard
output, with strings of two or more space or tab characters converted
to the appropriate number of tabs.  By default,
.B unexpand
converts only initial spaces and tabs (those that precede all non
space or tab characters) on each line into tabs.  It preserves
backspace characters in the output; they decrement the column count
for tab calculations.  The default action is equivalent to \-8 (set
tabs every 8 columns).
.SS OPTIONS
.TP
.I "\-, \-t, +tabs tab1[,tab2[,...]]"
If only one tab stop is given, set the tabs \fItab1\fP spaces apart
instead of the default 8.  Otherwise, set the tabs at columns
\fItab1\fP, \fItab2\fP, etc. (numbered from 0) and replace any tabs
beyond the tabstops given with single spaces.
.TP
.I \-a, +all
Convert all strings of two or more spaces or tabs, not just initial
ones, to tabs.
