.TH MKDIR GNU \" -*- nroff -*-
.SH NAME
mkdir \- make directories
.SH SYNOPSIS
.B mkdir
[\-p] [\-m mode] [\-\-path] [\-\-mode=mode] dir...
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR mkdir .
.B mkdir
creates a directory with each given name.  By default, the mode of
created directories is 0777 minus the bits set in the umask.
.SS OPTIONS
.TP
.I "\-m, \-\-mode mode"
Set the mode of created directories to
.IR mode ,
which is symbolic as in chmod and uses the default mode as the point of
departure.
.TP
.I "\-p, \-\-path"
Ensure that each given path exists.  Make any missing parent
directories for each argument.  Parent directories default to the
umask modified by `u+wx'.  Do not consider an argument directory that
already exists to be an error.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
