.\"
.\"	@(#)mkmodules.1 1.3 92/01/30
.\"
.TH MKMODULES GNU 
.\" "12 October 1991"
.SH "NAME"
mkmodules \- Rebuild modules database for CVS
.SH "SYNOPSIS"
.B mkmodules
.I directory
.SH "DESCRIPTION"
.B mkmodules
rebuilds the modules database that
.BR cvs (GNU)
uses.
The
.I directory
specified is expected to contain the
.BR modules,v " and " loginfo,v
files.
.B mkmodules
carefully checks out the current head revisions of each of these files and
reuilds the
.BR ndbm (3)
format modules database.
A warning is generated if the modules file contains a duplicate key.
.SH "FILES"
.TP
modules,v
The modules
.SM RCS
file.
.TP
modules
The checked out modules file.
.TP
loginfo,v
The loginfo
.SM RCS
file.
.TP
loginfo
The checked out loginfo file.
.TP
modules.dir, modules.pag
The
.BR ndbm (S)
format modules database.
.SH "ENVIRONMENT VARIABLES"
.TP
.SM RCSBIN
Specifies the full pathname where to find
.SM RCS
programs, such as
.BR co (GNU)
and
.BR ci (GNU).
If not set, the default is
.BR /usr/local/bin .
.SH "SEE ALSO"
.BR checkin (GNU),
.BR co (GNU),
.BR cvs (GNU),
.BR ndbm (S),
.BR rcs (GNU),
.SH "BUGS"
