.TH NICE GNU \" -*- nroff -*-
.SH NAME
nice \- run a program with modified scheduling priority
.SH SYNOPSIS
.B nice
[\-n adjustment] [\-adjustment] [\-\-adjustment=adjustment]
[command [arg...]]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR nice .
If no arguments are given,
.B nice
prints the current sheduling priority, which it inherited.
Otherwise,
.B nice
runs the given
.I command
with its scheduling priority adjusted.
If no
.I adjustment
is given, the priority of the command is incremented by 10.  The
superuser can specify a negative adjustment.  The priority can be
adjusted by
.B nice
over the range of -20 (the highest priority) to 19 (the lowest).
.SS OPTIONS
.TP
.I "\-n adjustment, \-adjustment, \-\-adjustment=adjustment"
Add
.I adjustment
instead of 10 to the command's priority.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
