.TH TTY GNU \" -*- nroff -*-
.SH NAME
tty \- print the path of the terminal connected to standard input
.SH SYNOPSIS
.B tty
[\-s] [\-\-silent] [\-\-quiet]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR tty .
.B tty
prints the path name of the tty connected to its standard input.  It
prints `not a tty' if the standard input is not a tty. Its exit
status is:
.nf
0 if the standard input is a tty
1 if the standard input is not a tty
2 if given incorrect arguments
.fi
.SS OPTIONS
.TP
.I "\-s, \-\-silent, \-\-quiet"
Print nothing; only return an exit status.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
