.TH UNAME GNU \" -*- nroff -*-
.SH NAME
uname \- print system information
.SH SYNOPSIS
.B uname
[\-snrvma] [\-\-sysname] [\-\-nodename] [\-\-release] [\-\-version]
[\-\-machine] [\-\-all]
.SH DESCRIPTION
This manual page
documents the GNU version of
.BR uname .
.B uname
prints information about the machine and operating system it is run on.
If no options are given,
.B uname
acts as if the
.I \-s
option
were given.  If multiple options are given or the
.I \-a
option is given, the selected information is printed in the order
`snrvm' with a space between items.
.SS OPTIONS
.TP
.I "\-s, \-\-sysname"
Print the operating system name.
.TP
.I "\-n, \-\-nodename"
Print the machine's network node hostname.
.TP
.I "\-r, \-\-release"
Print the operating system release.
.TP
.I "\-v, \-\-version"
Print the operating system version.
.TP
.I "\-m, \-\-machine"
Print the machine (hardware) type.
.TP
.I "\-a, \-\-all"
Print all of the above information.
.PP
The long-named options can be introduced with `+' as well as `\-\-',
for compatibility with previous releases.  Eventually support for `+'
will be removed, because it is incompatible with the POSIX.2 standard.
